package com.goafanti.business.controller;


import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.goafanti.business.service.JtBusinessService;
import com.goafanti.common.bo.Result;
import com.goafanti.common.controller.CertifyApiController;

@RestController
@RequestMapping(value = "/portal/service")
public class JtBusinessController extends CertifyApiController {
	@Resource 
	private JtBusinessService jtBusinessService;
	
	@RequestMapping(value = "/jtBusiness/getCategoryList" , method = RequestMethod.GET)
	public Result getCategoryList(Integer module) {
		Result result=new Result();
		result.setData(jtBusinessService.getCategoryBoList(module));
		return result;
	}
	@RequestMapping(value = "/jtBusiness/makeMoneyCategoryList" , method = RequestMethod.GET)
	public Result makeMoneyCategoryList( ) {
		Result result=new Result();
		result.setData(jtBusinessService.makeMoneyCategoryList());
		return result;
	}
	
	@RequestMapping(value="/jtProject/list", method=RequestMethod.GET)
	public Result getProjectList(String topId,String secondId,String name,Integer pageSize,Integer pageNo,Integer privateProject,Integer auditStatus,Integer module,Integer isHot,Integer orderType,Integer orderSort,String ownerId) {
		Result result=new Result();
		result.setData(jtBusinessService.getProjects(null,topId,secondId,name,pageSize,pageNo,privateProject,auditStatus,module,isHot,orderType,orderSort,ownerId));
		return result;
	}
	
}
